The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/bucket-keys/{filesystemKey} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "filesystemKeys",
"attributes": {
"name": "<string>",
"permission": "read_write",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"type": "filesystems",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "filesystems",
"attributes": {
"name": "<string>",
"type": "cloudflare_r2",
"status": "creating",
"visibility": "private",
"jurisdiction": "default",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"type": "filesystemKeys",
"id": "<string>"
}
]
}
}
}
]
}Get a specific object storage key.
curl --request GET \
--url https://cloud.laravel.com/api/bucket-keys/{filesystemKey} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "filesystemKeys",
"attributes": {
"name": "<string>",
"permission": "read_write",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"type": "filesystems",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "filesystems",
"attributes": {
"name": "<string>",
"type": "cloudflare_r2",
"status": "creating",
"visibility": "private",
"jurisdiction": "default",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"type": "filesystemKeys",
"id": "<string>"
}
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The filesystem key identifier
Available includes are filesystem. You can include multiple options by separating them with a comma.
Was this page helpful?